<ng-container [ngSwitch]="!!contentReference">
    <ng-container *ngSwitchCase="true">
      <ng-template *ngIf="active" [ngTemplateOutlet]="contentReference"></ng-template>
    </ng-container>
    <ng-content *ngSwitchCase="false"></ng-content>
  </ng-container>
  